Loading...
Searching...
No Matches
helper_mct.h File Reference

Go to the source code of this file.

## Data Structures

struct | _starpu_mct_data

## Functions

struct _starpu_mct_data * | starpu_mct_init_parameters (struct starpu_sched_component_mct_data *params)
unsigned | starpu_mct_compute_execution_times (struct starpu_sched_component *component, struct starpu_task *task, double *estimated_lengths, double *estimated_transfer_length, unsigned *suitable_components)
void | starpu_mct_compute_expected_times (struct starpu_sched_component *component, struct starpu_task *task, double *estimated_lengths, double *estimated_transfer_length, double *estimated_ends_with_task, double *min_exp_end_of_task, double *max_exp_end_of_workers, unsigned *suitable_components, unsigned nsuitable_components)
double | starpu_mct_compute_fitness (struct _starpu_mct_data *d, double exp_end, double min_exp_end, double max_exp_end, double transfer_len, double local_energy)
int | starpu_mct_get_best_component (struct _starpu_mct_data *d, struct starpu_task *task, double *estimated_lengths, double *estimated_transfer_length, double *estimated_ends_with_task, double *local_energy, double min_exp_end_of_task, double max_exp_end_of_workers, unsigned *suitable_components, unsigned nsuitable_components)
void | starpu_mct_compute_energy (struct starpu_sched_component *component, struct starpu_task *task, double *local_energy, unsigned *suitable_components, unsigned nsuitable_components)
int | eager_calibration_push_task (struct starpu_sched_component *component, struct starpu_task *task)

## Data Structure Documentation

## _starpu_mct_data

struct _starpu_mct_data

Data Fields
double | alpha |
double | beta |
double | _gamma |
double | idle_power |
starpu_pthread_mutex_t | scheduling_mutex |